Create a block storage volume and attach it to a target Cloud VPS. sizeGb must be a whole number from 10 to 1000. Use targetVpsId from GET /api/v2/vps; do not send internal machine IDs.
write:storage
Use Authorization: Bearer <token> for API keys. Dashboard sessions may also use hostup_session.
Accept Example Content-Type Example name stringnull
· Example: database-data sizeGb integer required
· Example: 100 targetVpsId string required
· Example: vps_01hxa3b4c5d6e7f8g9h0j1k2m3 id string required
· Example: vol_01hxa3b4c5d6e7f8g9h0j1k2m3 displayId string required
· Example: VOL-1024 name stringnull required
· Example: database-data sizeGb integer required
· Example: 100 status string · enum required
· Example: attached available attached creating deleting error attachedVpsId stringnull required
· Example: vps_01hxa3b4c5d6e7f8g9h0j1k2m3 actions object required actions.canAttach object required actions.canAttach.allowed boolean required
· Example: true actions.canAttach.reason stringnull required
· Example: null actions.canDetach object required actions.canDetach.allowed boolean required
· Example: true actions.canDetach.reason stringnull required
· Example: null actions.canDelete object required actions.canDelete.allowed boolean required
· Example: true actions.canDelete.reason stringnull required
· Example: null createdAt string required
· Example: 2026-04-27T12:00:00.000Z type string
· Example: https://developer.hostup.se/errors/invalid_request title string
· Example: Validation failed status integer
· Example: 400 detail string
· Example: The request body failed validation. code string
· Example: invalid_request Stable machine-readable code. Branch on this field, not on `detail`.
instance string
· Example: /api/v2/orders requestId string
· Example: req_01hxa3b4c5d6e7f8g9h0j1k2m3 timestamp string
· Example: 2026-04-27T12:34:56.000Z errors array<object> Field-level validation errors when `code` is `invalid_request`.
errors[].pointer string required
· Example: /items/0/eppCode errors[].detail string required
· Example: `eppCode` is required for this transfer. errors[].code string required
· Example: missing_required extensions object type string
· Example: https://developer.hostup.se/errors/invalid_request title string
· Example: Validation failed status integer
· Example: 400 detail string
· Example: The request body failed validation. code string
· Example: invalid_request Stable machine-readable code. Branch on this field, not on `detail`.
instance string
· Example: /api/v2/orders requestId string
· Example: req_01hxa3b4c5d6e7f8g9h0j1k2m3 timestamp string
· Example: 2026-04-27T12:34:56.000Z errors array<object> Field-level validation errors when `code` is `invalid_request`.
errors[].pointer string required
· Example: /items/0/eppCode errors[].detail string required
· Example: `eppCode` is required for this transfer. errors[].code string required
· Example: missing_required extensions object type string
· Example: https://developer.hostup.se/errors/invalid_request title string
· Example: Validation failed status integer
· Example: 400 detail string
· Example: The request body failed validation. code string
· Example: invalid_request Stable machine-readable code. Branch on this field, not on `detail`.
instance string
· Example: /api/v2/orders requestId string
· Example: req_01hxa3b4c5d6e7f8g9h0j1k2m3 timestamp string
· Example: 2026-04-27T12:34:56.000Z errors array<object> Field-level validation errors when `code` is `invalid_request`.
errors[].pointer string required
· Example: /items/0/eppCode errors[].detail string required
· Example: `eppCode` is required for this transfer. errors[].code string required
· Example: missing_required extensions object type string
· Example: https://developer.hostup.se/errors/invalid_request title string
· Example: Validation failed status integer
· Example: 400 detail string
· Example: The request body failed validation. code string
· Example: invalid_request Stable machine-readable code. Branch on this field, not on `detail`.
instance string
· Example: /api/v2/orders requestId string
· Example: req_01hxa3b4c5d6e7f8g9h0j1k2m3 timestamp string
· Example: 2026-04-27T12:34:56.000Z errors array<object> Field-level validation errors when `code` is `invalid_request`.
errors[].pointer string required
· Example: /items/0/eppCode errors[].detail string required
· Example: `eppCode` is required for this transfer. errors[].code string required
· Example: missing_required extensions object type string
· Example: https://developer.hostup.se/errors/invalid_request title string
· Example: Validation failed status integer
· Example: 400 detail string
· Example: The request body failed validation. code string
· Example: invalid_request Stable machine-readable code. Branch on this field, not on `detail`.
instance string
· Example: /api/v2/orders requestId string
· Example: req_01hxa3b4c5d6e7f8g9h0j1k2m3 timestamp string
· Example: 2026-04-27T12:34:56.000Z errors array<object> Field-level validation errors when `code` is `invalid_request`.
errors[].pointer string required
· Example: /items/0/eppCode errors[].detail string required
· Example: `eppCode` is required for this transfer. errors[].code string required
· Example: missing_required extensions object type string
· Example: https://developer.hostup.se/errors/invalid_request title string
· Example: Validation failed status integer
· Example: 400 detail string
· Example: The request body failed validation. code string
· Example: invalid_request Stable machine-readable code. Branch on this field, not on `detail`.
instance string
· Example: /api/v2/orders requestId string
· Example: req_01hxa3b4c5d6e7f8g9h0j1k2m3 timestamp string
· Example: 2026-04-27T12:34:56.000Z errors array<object> Field-level validation errors when `code` is `invalid_request`.
errors[].pointer string required
· Example: /items/0/eppCode errors[].detail string required
· Example: `eppCode` is required for this transfer. errors[].code string required
· Example: missing_required extensions object https://cloud.hostup.se/api/v2/volumes curl -X POST "https://cloud.hostup.se/api/v2/volumes" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "database-data",
"sizeGb": 100,
"targetVpsId": "vps_01hxa3b4c5d6e7f8g9h0j1k2m3"
}' {
"id": "vol_01hxa3b4c5d6e7f8g9h0j1k2m3",
"displayId": "VOL-1024",
"name": "database-data",
"sizeGb": 100,
"status": "attached",
"attachedVpsId": "vps_01hxa3b4c5d6e7f8g9h0j1k2m3",
"actions": {
"canAttach": {
"allowed": false,
"reason": "Volume is already attached."
},
"canDetach": {
"allowed": true,
"reason": null
},
"canDelete": {
"allowed": false,
"reason": "Detach the volume before deleting it."
}
},
"createdAt": "2026-04-27T12:00:00.000Z"
} {
"name": "database-data",
"sizeGb": 100,
"targetVpsId": "vps_01hxa3b4c5d6e7f8g9h0j1k2m3"
}